gov.ornl.mercury3.commands

## Class SolrTransactionDetail

- java.lang.Object
- - gov.ornl.mercury3.commands.SolrTransactionDetail

-     public class SolrTransactionDetail
      extends Object

  The model class passed to all View objects (JSPs).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `browseStatus`
    `HashMap` | `cart_urls`
    `String` | `datasource`
    `String` | `datasourceCode`
    `String` | `datasourcemap`
    `String` | `errorMsg`
    `String` | `facet_str`
    `String` | `facet_str2`
    `String` | `fileId`
    `int` | `found`
    `String` | `fromBrief`
    `String` | `full_queryString`
    `Float` | `maxScore`
    `String` | `mercury3_query_string`
    `String` | `nb`
    `Object[][]` | `ontologyList`
    `int` | `page_max_count`
    `String` | `plainqueryString`
    `String` | `queryString`
    `HashMap` | `solr_facets_map`
    `int` | `start`
    `String` | `suggestion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrTransactionDetail()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getAccountsList()`
    `ArrayList` | `getBriefResList()`
    `String` | `getBrowseStatus()`
    `HashMap` | `getCart_urls()`
    `CoinsBean` | `getCoins()`
    `String` | `getContents()`
    `int` | `getCurrent_page()`
    `int` | `getD1DataDocCount()`
    `List<D1DocTransferObject>` | `getD1Docs()`
    `String` | `getDatasource()`
    `String` | `getDatasourceCode()`
    `String` | `getDatasourcemap()`
    `List<Map<String,Field>>` | `getDocuments()`
    `String` | `getErrorMsg()`
    `String` | `getFacet_str()`
    `String` | `getFacet_str2()`
    `Map<FilterCatField,List>` | `getFacets()`
    `String` | `getFileId()`
    `String` | `getFileName()`
    `String` | `getFileurl()`
    `boolean` | `getFilterForData()`
    `int` | `getFound()`
    `String` | `getFromBrief()`
    `String` | `getFull_queryString()`
    `String` | `getGui_queryString()`
    `String` | `getHideDS()`
    `InputStream` | `getIs()`
    `String` | `getIsoContents()`
    `ArrayList` | `getJ_Docs()`
    `ArrayList` | `getJ_facets()`
    `Float` | `getMaxScore()`
    `String` | `getMercury3_query_string()`
    `ArrayList<HashMap<String,String>>` | `getMlt_list()`
    `String` | `getNb()`
    `int` | `getNum_pages()`
    `Object[][]` | `getOntologyList()`
    `int` | `getPage_max_count()`
    `int` | `getPageSize()`
    `String` | `getPid()`
    `String` | `getPlainqueryString()`
    `String` | `getQueryString()`
    `Response` | `getRes()`
    `Set<String>` | `getResourceMaps()`
    `String` | `getSearchmode()`
    `String` | `getSearchStatus()`
    `HashMap` | `getSolr_facets_map()`
    `String` | `getSortattribute()`
    `int` | `getStart()`
    `String` | `getSuggestion()`
    `String` | `getXsltFileName()`
    `boolean` | `isGeoError()`
    `boolean` | `isShowFacets()`
    `void` | `setAccountsList(List accountsList)`
    `void` | `setBriefResList(ArrayList briefResList)`
    `void` | `setBrowseStatus(String browseStatus)`
    `void` | `setCart_urls(HashMap cart_urls)`
    `void` | `setCoins(CoinsBean coinsBean)`
    `void` | `setContents(String contents)`
    `void` | `setCurrent_page(int current_page)`
    `void` | `setD1DataDocCount(int count)`
    `void` | `setD1Docs(List<D1DocTransferObject> d1Docs)`
    `void` | `setDatasource(String datasource)`
    `void` | `setDatasourceCode(String datasourceCode)`
    `void` | `setDatasourcemap(String datasourcemap)`
    `void` | `setDocuments(List<Map<String,Field>> documents)`
    `void` | `setErrorMsg(String errorMsg)`
    `void` | `setFacet_str(String facet_str)`
    `void` | `setFacet_str2(String facet_str2)`
    `void` | `setFacets(Map<FilterCatField,List> facets)`
    `void` | `setFileId(String fileId)`
    `void` | `setFileName(String fileName)`
    `void` | `setFileurl(String fileurl)`
    `void` | `setFilterForData(boolean filterForData)`
    `void` | `setFound(int found)`
    `void` | `setFromBrief(String fromBrief)`
    `void` | `setFull_queryString(String full_queryString)`
    `void` | `setGeoError(boolean geoError)`
    `void` | `setGui_queryString(String gui_queryString)`
    `void` | `setHideDS(String hideDS)`
    `void` | `setIs(InputStream is)`
    `void` | `setIsoContents(String isoContents)`
    `void` | `setJ_Docs(ArrayList docs)`
    `void` | `setJ_facets(ArrayList j_facets)`
    `void` | `setMaxScore(Float maxScore)`
    `void` | `setMercury3_query_string(String mercury3_query_string)`
    `void` | `setMlt_list(ArrayList<HashMap<String,String>> mlt_list)`
    `void` | `setNb(String nb)`
    `void` | `setNum_pages(int num_pages)`
    `void` | `setOntologyList(Object[][] ontologyList)`
    `void` | `setPage_max_count(int page_max_count)`
    `void` | `setPageSize(int pageSize)`
    `void` | `setPid(String _pid)`
    `void` | `setPlainqueryString(String plainqueryString)`
    `void` | `setQueryString(String queryString)`
    `void` | `setRes(Response res)`
    `void` | `setResourceMaps(Set<String> resourceMaps)`
    `void` | `setSearchmode(String searchmode)`
    `void` | `setSearchStatus(String searchStatus)`
    `void` | `setShowFacets(boolean showFacets)`
    `void` | `setSolr_facets_map(HashMap solr_facets_map)`
    `void` | `setSortattribute(String sortattribute)`
    `void` | `setStart(int start)`
    `void` | `setSuggestion(String suggestion)`
    `void` | `setXsltFileName(String xsltFileName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### suggestion

          public String suggestion

    - #### ontologyList

          public Object[][] ontologyList

    - #### errorMsg

          public String errorMsg

    - #### cart_urls

          public HashMap cart_urls

    - #### fromBrief

          public String fromBrief

    - #### browseStatus

          public String browseStatus

    - #### datasourcemap

          public String datasourcemap

    - #### datasource

          public String datasource

    - #### datasourceCode

          public String datasourceCode

    - #### fileId

          public String fileId

    - #### mercury3_query_string

          public String mercury3_query_string

    - #### solr_facets_map

          public HashMap solr_facets_map

    - #### maxScore

          public Float maxScore

    - #### facet_str

          public String facet_str

    - #### facet_str2

          public String facet_str2

    - #### found

          public int found

    - #### start

          public int start

    - #### queryString

          public String queryString

    - #### full_queryString

          public String full_queryString

    - #### plainqueryString

          public String plainqueryString

    - #### page_max_count

          public int page_max_count

    - #### nb

          public String nb

  - ### Constructor Detail

    - #### SolrTransactionDetail

          public SolrTransactionDetail()

  - ### Method Detail

    - #### getOntologyList

          public Object[][] getOntologyList()

    - #### setOntologyList

          public void setOntologyList(Object[][] ontologyList)

    - #### getFilterForData

          public boolean getFilterForData()

    - #### setFilterForData

          public void setFilterForData(boolean filterForData)

    - #### getPid

          public String getPid()

    - #### setPid

          public void setPid(String _pid)

    - #### getResourceMaps

          public Set<String> getResourceMaps()

    - #### setResourceMaps

          public void setResourceMaps(Set<String> resourceMaps)

    - #### getHideDS

          public String getHideDS()

    - #### setHideDS

          public void setHideDS(String hideDS)

    - #### getDocuments

          public List<Map<String,Field>> getDocuments()

    - #### setDocuments

          public void setDocuments(List<Map<String,Field>> documents)

    - #### getFacets

          public Map<FilterCatField,List> getFacets()

    - #### setFacets

          public void setFacets(Map<FilterCatField,List> facets)

    - #### getRes

          public Response getRes()

    - #### setRes

          public void setRes(Response res)

    - #### getAccountsList

          public List getAccountsList()

      Returns:
        Returns the accountsList.

    - #### setAccountsList

          public void setAccountsList(List accountsList)

      Parameters:
        `accountsList` - The accountsList to set.

    - #### getJ_facets

          public ArrayList getJ_facets()

    - #### setJ_facets

          public void setJ_facets(ArrayList j_facets)

    - #### getJ_Docs

          public ArrayList getJ_Docs()

    - #### setJ_Docs

          public void setJ_Docs(ArrayList docs)

    - #### getQueryString

          public String getQueryString()

    - #### setQueryString

          public void setQueryString(String queryString)

    - #### getFound

          public int getFound()

    - #### setFound

          public void setFound(int found)

    - #### getSearchStatus

          public String getSearchStatus()

    - #### setSearchStatus

          public void setSearchStatus(String searchStatus)

    - #### getPageSize

          public int getPageSize()

    - #### setPageSize

          public void setPageSize(int pageSize)

    - #### getStart

          public int getStart()

    - #### setStart

          public void setStart(int start)

    - #### getCurrent_page

          public int getCurrent_page()

    - #### setCurrent_page

          public void setCurrent_page(int current_page)

    - #### getNum_pages

          public int getNum_pages()

    - #### setNum_pages

          public void setNum_pages(int num_pages)

    - #### getPage_max_count

          public int getPage_max_count()

    - #### setPage_max_count

          public void setPage_max_count(int page_max_count)

    - #### getNb

          public String getNb()

    - #### setNb

          public void setNb(String nb)

    - #### getFacet_str

          public String getFacet_str()

    - #### setFacet_str

          public void setFacet_str(String facet_str)

    - #### getSolr_facets_map

          public HashMap getSolr_facets_map()

    - #### setSolr_facets_map

          public void setSolr_facets_map(HashMap solr_facets_map)

    - #### getSortattribute

          public String getSortattribute()

    - #### setSortattribute

          public void setSortattribute(String sortattribute)

    - #### getGui_queryString

          public String getGui_queryString()

    - #### setGui_queryString

          public void setGui_queryString(String gui_queryString)

    - #### getMercury3_query_string

          public String getMercury3_query_string()

    - #### setMercury3_query_string

          public void setMercury3_query_string(String mercury3_query_string)

    - #### getFacet_str2

          public String getFacet_str2()

    - #### setFacet_str2

          public void setFacet_str2(String facet_str2)

    - #### getMaxScore

          public Float getMaxScore()

    - #### setMaxScore

          public void setMaxScore(Float maxScore)

    - #### getBriefResList

          public ArrayList getBriefResList()

    - #### setBriefResList

          public void setBriefResList(ArrayList briefResList)

    - #### getContents

          public String getContents()

    - #### setContents

          public void setContents(String contents)

    - #### getIs

          public InputStream getIs()

    - #### setIs

          public void setIs(InputStream is)

    - #### getFull_queryString

          public String getFull_queryString()

    - #### setFull_queryString

          public void setFull_queryString(String full_queryString)

    - #### getDatasource

          public String getDatasource()

    - #### setDatasource

          public void setDatasource(String datasource)

    - #### isShowFacets

          public boolean isShowFacets()

    - #### setShowFacets

          public void setShowFacets(boolean showFacets)

    - #### isGeoError

          public boolean isGeoError()

    - #### setGeoError

          public void setGeoError(boolean geoError)

    - #### getBrowseStatus

          public String getBrowseStatus()

    - #### setBrowseStatus

          public void setBrowseStatus(String browseStatus)

    - #### getPlainqueryString

          public String getPlainqueryString()

    - #### setPlainqueryString

          public void setPlainqueryString(String plainqueryString)

    - #### getDatasourcemap

          public String getDatasourcemap()

    - #### setDatasourcemap

          public void setDatasourcemap(String datasourcemap)

    - #### getFileId

          public String getFileId()

    - #### setFileId

          public void setFileId(String fileId)

    - #### getFromBrief

          public String getFromBrief()

    - #### setFromBrief

          public void setFromBrief(String fromBrief)

    - #### getCart_urls

          public HashMap getCart_urls()

    - #### setCart_urls

          public void setCart_urls(HashMap cart_urls)

    - #### getErrorMsg

          public String getErrorMsg()

    - #### setErrorMsg

          public void setErrorMsg(String errorMsg)

    - #### getSearchmode

          public String getSearchmode()

    - #### setSearchmode

          public void setSearchmode(String searchmode)

    - #### getMlt_list

          public ArrayList<HashMap<String,String>> getMlt_list()

    - #### setMlt_list

          public void setMlt_list(ArrayList<HashMap<String,String>> mlt_list)

    - #### getFileName

          public String getFileName()

    - #### setFileName

          public void setFileName(String fileName)

    - #### getDatasourceCode

          public String getDatasourceCode()

    - #### setDatasourceCode

          public void setDatasourceCode(String datasourceCode)

    - #### getFileurl

          public String getFileurl()

    - #### setFileurl

          public void setFileurl(String fileurl)

    - #### getSuggestion

          public String getSuggestion()

    - #### setSuggestion

          public void setSuggestion(String suggestion)

    - #### getIsoContents

          public String getIsoContents()

    - #### setIsoContents

          public void setIsoContents(String isoContents)

    - #### getD1Docs

          public List<D1DocTransferObject> getD1Docs()

    - #### setD1Docs

          public void setD1Docs(List<D1DocTransferObject> d1Docs)

    - #### getD1DataDocCount

          public int getD1DataDocCount()

    - #### setD1DataDocCount

          public void setD1DataDocCount(int count)

    - #### getCoins

          public CoinsBean getCoins()

    - #### setCoins

          public void setCoins(CoinsBean coinsBean)

    - #### getXsltFileName

          public String getXsltFileName()

    - #### setXsltFileName

          public void setXsltFileName(String xsltFileName)

Copyright © 2016. All rights reserved.